 
import Param3.*;
import org.omg.CosNaming.*;
import org.omg.CORBA.*;
import java.io.*;

public class Client {
    public static void main(String args[]) {
        try {
            // create and initialize the ORB
            ORB orb = ORB.init(args, null);
 
            // get the root naming context
            org.omg.CORBA.Object objRef = orb.resolve_initial_references("NameService");
            NamingContext ncRef = NamingContextHelper.narrow(objRef);

            // resolve the Object Reference in Naming
            NameComponent nc = new NameComponent("Test", "");
            NameComponent path[] = {nc};
            Test testRef = TestHelper.narrow(ncRef.resolve(path));
   
            // prepare param passing
            BufferedReader stdin =
                  new BufferedReader(new InputStreamReader(System.in));
            String line;
            System.out.println("Number =");
            line = stdin.readLine();
            int i = Integer.parseInt(line);            
            MyIntegerServant mi = new MyIntegerServant();
            mi.set(i);
            MyFractServant mf = new MyFractServant();
            mf.set(i, 3);
            MyNbrHolder mnh = new MyNbrHolder((MyNbrServant)mi);
            MyNbrServant[] mynbrarray = new MyNbrServant[10];
            mynbrarray[2] = (MyNbrServant)mi;
            mynbrarray[7] = (MyNbrServant)mf;
            MyNbrSequenceHolder mah =
                           new MyNbrSequenceHolder(mynbrarray);     
            // call the Test server object and print results
            String outstr = testRef.doSomething(mnh, mah); 
            System.out.println("mynbr = " + mi.get());              
            System.out.println("mynbrarray[2] = " + mynbrarray[2].get()); 
            System.out.println("mynbrarray[7] = " + mynbrarray[7].get());
            System.out.println("return string = " + outstr);  
        } 
        catch (Exception e) {
            System.out.println("ERROR : " + e) ;
            e.printStackTrace(System.out);
        }
    }
}

 






